Subject: Re: bug#13354: sort: File Merge Order is Suboptimal with Many Passes

From: Assaf Gordon <[email-masked]>
Date: Thu, 18 Oct 2018 17:13:08 -0600

tags 13354 moreinfo
close 13354
stop

(triaging old bugs)

Hello,

On 04/01/13 08:48 AM, Jason Bucata wrote:
> On Fri, Jan 04, 2013 at 11:01:50AM +0000, P�draig Brady wrote:
>> On 01/04/2013 04:07 AM, Jason Bucata wrote:
>>> To get it ideal, we'd need a priority queue implementation here, maybe a
>>> heap or something.
>>
>> There is a little heap lib already used by sort:
>> http://git.sv.gnu.org/gitweb/?p=coreutils.git;a=blob;f=gl/lib/heap.c;hb=HEAD
>> Would that suffice?
> 
> Oh, good to know.  If you're asking me, I'm sure it's fine, though I guess
> it's up to whoever will write the fix.

With no further follow-ups in 5 years, I'm closing this item.
Discussion can continue by replying to this thread.

regards,
  - assaf